import 'package:flutter/material.dart';

class AuthProvider extends ChangeNotifier {
  String? _userType; // "Admin" ou "Serveur"

  String? get userType => _userType;
  bool get isLoggedIn => _userType != null;

  void loginAs(String userType) {
    _userType = userType;
    notifyListeners();
  }

  void logout() {
    _userType = null;
    notifyListeners();
  }
}
